# slocc

## What is slocc?

Slocc is just a little fun utility to count the lines of code that exist in a program.
In fact I use this fun utility for [pms](https://github.com/LearnixOS.com/pms) to count the sloc.

For people who are confused; sloc is a unit of measurement in coding and especially suckless software, standing for "Single Lines Of Code".
Sloc doesn't dictate how "bad" your code is, but it is a unit of measurement to help keep track of how messy your code could be.
It's generally a good idea to keep your sloc count low, **HOWEVER** never do it at the expense of performance/security.

## General installation

### Dependencies:
- C compiler (gcc or clang)
- C libraries (literally only uses stdio.h)

Both of these dependencies should already exist.

### Installation
```bash
git clone https://git.based.pt/cowmonk/slocc.git
cd slocc
make
sudo/doas make install
```
NOTE: Please check config.mk if anything goes wrong in the installation, the default prefix is /usr/local/.
